package cn.com.qmth.examcloud.service.core.api;

import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import cn.com.qmth.examcloud.core.basic.domain.response.GetXxxResp;

@RestController
@RequestMapping("${app.api.root}/demo")
public class DemoApi {

	@GetMapping("getXxx")
	public ResponseEntity<GetXxxResp> getXxx() {
		GetXxxResp demoResp = new GetXxxResp();
		demoResp.setS("test");

		return new ResponseEntity<GetXxxResp>(demoResp, HttpStatus.OK);
	}

}
